package com.bcxin.ins.service.order;


import com.bcxin.ins.entity.policy_special.Hireling;
import com.bcxin.ins.vo.SpecialHirelingVo;
import com.bcxin.ins.vo.excel.ResultSetExcelVo;
import com.bcxin.mybatisplus.service.IService;

import java.util.List;

public interface HirelingAPIService extends IService<Hireling> {
	
	public void accordingToTheHirelingVoSetUpHireling(SpecialHirelingVo vo, Long order_id);
	
	public void getSpecialHirelingVoByOrderID(SpecialHirelingVo vo, Long order_id);

	public boolean delectHirelingByOid(Long oid);

	public boolean delectAllHireling(Long oid);

	public List<ResultSetExcelVo> selectHirelingListByOrderID(Long order_id);
}
